
Foreman - Bug #26599

Invalid key on VM configuration edit from google console for VM provisioned through Foreman

04/12/2019 01:02 PM - Kavita Gaikwad

Status: Closed   

Priority: High   

Assignee: Kavita Gaikwad   

Category: Compute resources - GCE   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6810

  

Description

- Foreman sends generated public key and username from image through compute API and which save these values against VM.

- It won't possible to edit VM configurations from google console as it gives error -

'Invalid key. Required format: <protocol> <key-blob> <username@example.com> or <protocol> <key-blob> google-ssh

{"userName":"<username@example.com>","expireOn":"<date>"}'

Need to make changes to format if required.

Associated revisions

Revision bf98cca1 - 07/02/2019 12:19 PM - Kavita Gaikwad

Fixes #26599 - resolve invalid sshkey format error

History

#1 - 04/16/2019 10:18 AM - Kavita Gaikwad

- Priority changed from Normal to High

#2 - 04/22/2019 10:19 AM - Kavita Gaikwad

Created pull-request on fog-google end - https://github.com/fog/fog-google/pull/455

#3 - 05/30/2019 02:02 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6810 added

#4 - 07/02/2019 12:20 PM - Ondřej Ezr

- Triaged changed from No to Yes

- Fixed in Releases 1.23.0 added

#5 - 07/02/2019 01:01 PM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

Applied in changeset bf98cca112010932e7cb86a45004db78fbf2341b.
